
void drawGrid() {
  stroke(200, 100);
  pushMatrix();
  translate(-xSize*40, -ySize*40);
  noFill();

  for (int i = -1000; i <= 1000; i+=200) {
    line(i, -1000, i, 1000);
    line(-1000, i, 1000, i);
  }

  // draws atrium box
  translate(0, 0, 500);
  box(xSize*80+100, ySize*80+100, 1000);
  popMatrix();
}



void drawBalls() {

  for (int x = 0; x < xSize; x++) {
    for (int y = 0; y < ySize; y++) {
      // draw balls
      pushMatrix();
      translate(-xSize*40, -ySize*40);
      translate(x*80 +40, y*80+40, 1000*(constrain(abs(ballZ[x][y]), 0, 255))*0.00392156862);
      fill(ballC[x][y]);
      sphere(20);
      popMatrix();
    }
  }

  if (resetting) {
    noStroke();
    fill(255);
    for (int x = 0; x < xSize; x++) {
      for (int y = 0; y < ySize; y++) {
        // draw balls
        pushMatrix();
        translate(-xSize*40, -ySize*40);
        translate(x*80 +40, y*80+40, 1000);
        sphere(20);
        popMatrix();
      }
    }
  }
}

